package com.ruoyi.system.domain;

import com.alibaba.fastjson.annotation.JSONField;

import java.math.BigDecimal;

public class InvoiceSplit {

    public InvoiceSplit() {
    }
    @JSONField(name = "序号")
    private Integer id;
    @JSONField(name = "开票序号")
    private String invoiceNumber;
    @JSONField(name = "开票内部拆分_元")
    private BigDecimal invoiceIndoorSplit;
    @JSONField(name = "归入迅网项目号")
    private String includeXunWangProjectNumber;
    @JSONField(name = "需要说明的情况")
    private String explainInfo;
    @JSONField(name = "申请人")
    private String applicant;
    @JSONField(name = "上传人")
    private String uploadPerson;
    @JSONField(name = "上传时间")
    private String uploadTime;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getInvoiceNumber() {
        return invoiceNumber;
    }

    public void setInvoiceNumber(String invoiceNumber) {
        this.invoiceNumber = invoiceNumber;
    }

    public BigDecimal getInvoiceIndoorSplit() {
        return invoiceIndoorSplit;
    }

    public void setInvoiceIndoorSplit(BigDecimal invoiceIndoorSplit) {
        this.invoiceIndoorSplit = invoiceIndoorSplit;
    }

    public String getIncludeXunWangProjectNumber() {
        return includeXunWangProjectNumber;
    }

    public void setIncludeXunWangProjectNumber(String includeXunWangProjectNumber) {
        this.includeXunWangProjectNumber = includeXunWangProjectNumber;
    }

    public String getExplainInfo() {
        return explainInfo;
    }

    public void setExplainInfo(String explainInfo) {
        this.explainInfo = explainInfo;
    }

    public String getApplicant() {
        return applicant;
    }

    public void setApplicant(String applicant) {
        this.applicant = applicant;
    }

    public String getUploadPerson() {
        return uploadPerson;
    }

    public void setUploadPerson(String uploadPerson) {
        this.uploadPerson = uploadPerson;
    }

    public String getUploadTime() {
        return uploadTime;
    }

    public void setUploadTime(String uploadTime) {
        this.uploadTime = uploadTime;
    }

    @Override
    public String toString() {
        return "InvoiceSplit{" +
                "id=" + id +
                ", invoiceNumber='" + invoiceNumber + '\'' +
                ", invoiceIndoorSplit=" + invoiceIndoorSplit +
                ", includeXunWangProjectNumber='" + includeXunWangProjectNumber + '\'' +
                ", explainInfo='" + explainInfo + '\'' +
                ", applicant='" + applicant + '\'' +
                ", uploadPerson='" + uploadPerson + '\'' +
                ", uploadTime='" + uploadTime + '\'' +
                '}';
    }
}
